
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

function validate()
{
	resetColorLabels('campos2','');
	
	var erro = 0;
	var msg='\nVerifique os seguintes campos:\n';

	/*------------------------------------------------------------------------
	|        VERIFICANDO PREENCHIMENTO DE CAMPOS OBRIGATORIOS                |
	-------------------------------------------------------------------------*/

	/* VERIFICANDO CAMPO DE NOME DA TURMA */
	if(document.getElementById('form_escolaTurma').value == '')
	{
		msg+='\n -> Nome da Escola (contate o administrador do sistema)';
        if(erro==0)
	        document.getElementById('form_escolaTurma').focus();
        erro=1;
        
        changeBack('l_escolaTurma','form_escolaTurma','label_alert','field_alert');
	}
	
	/* VERIFICANDO CAMPO DE NOME DA TURMA */
	if(document.getElementById('form_nomeTurma').value == '')
	{
		msg+='\n -> Nome da Turma';
        if(erro==0)
	        document.getElementById('form_nomeTurma').focus();
        erro=1;
        
        changeBack('l_nomeTurma','form_nomeTurma','label_alert','field_alert');
	}
	
	/* VERIFICANDO CAMPO DE SERIE DA TURMA */
	if(document.getElementById('form_serieTurma').value == '')
	{
		msg+='\n -> S�rie da Turma';
        if(erro==0)
	        document.getElementById('form_serieTurma').focus();
        erro=1;
        
        changeBack('l_serieTurma','form_serieTurma','label_alert','field_alert');
	}
	
	/* VERIFICANDO CAMPO DE MATRIZ CURRICULAR DA TURMA */
	if(document.getElementById('form_matrizTurma').value == '')
	{
		msg+='\n -> Matriz Curricular';
        if(erro==0)
	        document.getElementById('form_matrizTurma').focus();
        erro=1;
        
        changeBack('l_matrizTurma','form_matrizTurma','label_alert','field_alert');
	}
	
	if(erro==0)
		return true;
	else
	{
		alert(msg);
		return false;
	}
}